POST /users

Create a new user

/usersPOST
Create a new user
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
emailrequiredstring
"joe@example.com"
Email address
first_nameoptionalstring
"joe doe"
First name
languageoptionalstring
"en"
User language
last_nameoptionalstring
"joe doe"
Last name
passwordrequiredstring
"••••••••"
Password
timezoneoptionalstring
"Europe/Amsterdam"
User timezone
usernamerequiredstring
"joe"
Username
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "email": "joe@example.com",
  "firstname": "Joe",
  "language": "en",
  "last_activity": 1782166695,
  "lastname": "Doe",
  "timezone": "Europe/Amsterdam",
  "username": "joe"
}
{
  "error": "ERROR_KEY"
}
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
users_createRequired scope: users_create
setting_manage_usersAdditional permission check: setting_manage_users

Back to Users Return to the Users category to view other endpoints All API Categories Browse all available API categories